Galon Cloud
Galon API v1

/storage/buckets

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /storage/buckets

List buckets of the project bound to the key

Exact scope storage:read. Hidden surface: 404 not_found until the Galon Object opt-in is enabled.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
limitqueryinteger
cursorquerystring

Responses

StatusDescriptionBody
200Page of buckets, signed cursorStorageBucketPage
401Key missing or invalidError
403scope_missing (storage:read)Error
400query_invalid, storage_page_limit_invalid, storage_cursor_invalidError
404not_found (surface closed)Error
503storage_temporarily_unavailableError

Examples

curl

curl -X GET "$GALON_API_BASE/storage/buckets" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.buckets.list({ limit: 20 });

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.buckets.list({"limit": 20})

POST /storage/buckets

Create a bucket

Exact scope storage:write. 201 on creation, 200 on replay of the same Idempotency-Key. Hidden surface: 404 not_found until the Galon Object opt-in is enabled.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
Idempotency-Keyheaderstring · required

Request body

application/json · schema StorageBucketCreate

FieldTypeDescription
namestring · required
placement"global" | "eu" | "africa-west" · required

Responses

StatusDescriptionBody
201Bucket createdStorageBucketReceipt
200Idempotent replayStorageBucketReceipt
400body_fields_invalid, body_invalid, storage_idempotency_key_invalidError
401Key missing or invalidError
403scope_missing (storage:write)Error
404not_found (surface closed)Error
409storage_idempotency_conflict, storage_bucket_existsError
413body_too_largeError
415content_type_invalidError
422storage_bucket_name_invalid, storage_placement_invalidError
429storage_bucket_quota_exceededError
503storage_temporarily_unavailable, storage_operation_indeterminateError

Examples

curl

curl -X POST "$GALON_API_BASE/storage/buckets" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Idempotency-Key: <unique-key>" \
  -H "Content-Type: application/json" \
  -d '{"name": "string", "placement": "global"}'

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.buckets.create({"name": "string", "placement": "global"}, { idempotencyKey: "<unique-key>" });

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.buckets.create({"name": "string", "placement": "global"}, idempotency_key="<unique-key>")